Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module item :: Class TimelineItem |
[frames] | no frames]

# Class TimelineItem

source code

    object --+
             |
            TimelineItem

I represent any item that should be displayed on a timeline.

I have a time period and methods to manipulate it.

Specific items inherit from me.

Instance Methods
get_time_period(self) | source code
get_start_time(self) | source code
get_end_time(self) | source code
set_time_period(self, time_period) | source code
update_period(self, start_time, end_time) | source code
update_period_o(self, new_period) | source code
start_to_start(self, event) | source code
start_to_end(self, event) | source code
end_to_end(self, event) | source code
move_delta(self, delta) | source code
inside_period(self, time_period) | source code
is_period(self) | source code
mean_time(self) | source code
time_span(self) | source code
overlaps(self, event) | source code
distance_to(self, event) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| time_period = `property(get_time_period, set_time_period)`

Properties
Inherited from `object`: `__class__`